pappso::MzCalibrationInterface Class Referenceabstract

`#include <mzcalibrationinterface.h>`

Inheritance diagram for pappso::MzCalibrationInterface:

## Public Member Functions

| MzCalibrationInterface (double digitizerTimebase, double digitizerDelay)
virtual | ~MzCalibrationInterface ()
MzCalibrationInterface & | operator= (const MzCalibrationInterface &other)
bool | operator== (const MzCalibrationInterface &other) const
double | getTofFromTofIndex (quint32 tof_index) const
| get time of flight from raw index More...
double | getTofFromTofIndex (double tof_index) const
| get time of flight from double index More...
virtual double | getMzFromTofIndex (quint32 tof_index)=0
| get m/z from time of flight raw index More...
virtual quint32 | getTofIndexFromMz (double mz)=0
| get raw TOF index of a given m/z More...

## Protected Attributes

double | m_digitizerTimebase = 0
double | m_digitizerDelay = 0
std::vector< double > | m_mzCalibrationArr
| MZ calibration parameters. More...

## Detailed Description

Todo:
  write docs

Definition at line 42 of file mzcalibrationinterface.h.

## Constructor & Destructor Documentation

## MzCalibrationInterface()

pappso::MzCalibrationInterface::MzCalibrationInterface | ( | double | digitizerTimebase,
|  | double | digitizerDelay
| ) |  |

Default constructor

Definition at line 34 of file mzcalibrationinterface.cpp.

: m_digitizerTimebase(digitizerTimebase), m_digitizerDelay(digitizerDelay)
{
}
pappso::MzCalibrationInterface::m_digitizerTimebase
double m_digitizerTimebase
Definition: mzcalibrationinterface.h:96
pappso::MzCalibrationInterface::m_digitizerDelay
double m_digitizerDelay
Definition: mzcalibrationinterface.h:97

## ~MzCalibrationInterface()

pappso::MzCalibrationInterface::~MzCalibrationInterface | ( |  | ) |

virtual

Destructor

Definition at line 40 of file mzcalibrationinterface.cpp.

{
}

## Member Function Documentation

## getMzFromTofIndex()

virtual double pappso::MzCalibrationInterface::getMzFromTofIndex | ( | quint32 | tof_index | ) |

pure virtual

get m/z from time of flight raw index

Parameters

  tof_index | time of flight

Returns
  m/z value

Implemented in pappso::MzCalibrationModel1Cached, and pappso::MzCalibrationModel1.

Referenced by pappso::TimsFrame::cumulateScanToTrace(), pappso::TimsFrame::getMassSpectrumSPtr(), pappso::TimsFrameType1::getMassSpectrumSPtr(), pappso::TimsFrameBase::getTraceFromCumulatedScans(), and pappso::TimsFrameBase::getTraceFromCumulatedScansBuiltinCentroid().

## getTofFromTofIndex() [1/2]

double pappso::MzCalibrationInterface::getTofFromTofIndex | ( | double | tof_index | ) | const

get time of flight from double index

Definition at line 45 of file mzcalibrationinterface.cpp.

{
// mz calibration
return (index * m_digitizerTimebase) + m_digitizerDelay;
}

References m_digitizerDelay, and m_digitizerTimebase.

## getTofFromTofIndex() [2/2]

double pappso::MzCalibrationInterface::getTofFromTofIndex | ( | quint32 | tof_index | ) | const

get time of flight from raw index

Parameters

  tof_index | digitizer x raw value

Returns
  tof time of flight

Definition at line 52 of file mzcalibrationinterface.cpp.

{
// mz calibration
return ((double)index * m_digitizerTimebase) + m_digitizerDelay;
}

References m_digitizerDelay, and m_digitizerTimebase.

## getTofIndexFromMz()

virtual quint32 pappso::MzCalibrationInterface::getTofIndexFromMz | ( | double | mz | ) |

pure virtual

get raw TOF index of a given m/z

Parameters

  mz | the mass to transform

Returns
  integer x raw value

Implemented in pappso::MzCalibrationModel1.

## operator=()

MzCalibrationInterface& pappso::MzCalibrationInterface::operator= | ( | const MzCalibrationInterface & | other | ) |

Assignment operator

Parameters

  other | TODO

Returns
  TODO

## operator==()

bool pappso::MzCalibrationInterface::operator== | ( | const MzCalibrationInterface & | other | ) | const

Todo:
  write docs

Parameters

  other | TODO

Returns
  TODO

## Member Data Documentation

## m_digitizerDelay

double pappso::MzCalibrationInterface::m_digitizerDelay = 0

protected

Definition at line 97 of file mzcalibrationinterface.h.

Referenced by pappso::MzCalibrationModel1::MzCalibrationModel1(), pappso::MzCalibrationModel1::getMzFromTofIndex(), getTofFromTofIndex(), and pappso::MzCalibrationModel1::getTofIndexFromMz().

## m_digitizerTimebase

double pappso::MzCalibrationInterface::m_digitizerTimebase = 0

protected

Definition at line 96 of file mzcalibrationinterface.h.

Referenced by pappso::MzCalibrationModel1::MzCalibrationModel1(), pappso::MzCalibrationModel1::getMzFromTofIndex(), getTofFromTofIndex(), and pappso::MzCalibrationModel1::getTofIndexFromMz().

## m_mzCalibrationArr

std::vector<double> pappso::MzCalibrationInterface::m_mzCalibrationArr

protected

MZ calibration parameters.

Definition at line 101 of file mzcalibrationinterface.h.

Referenced by pappso::MzCalibrationModel1::MzCalibrationModel1(), pappso::MzCalibrationModel1::getMzFromTofIndex(), and pappso::MzCalibrationModel1::getTofIndexFromMz().

The documentation for this class was generated from the following files:

- pappsomspp/vendors/tims/mzcalibration/mzcalibrationinterface.h
- pappsomspp/vendors/tims/mzcalibration/mzcalibrationinterface.cpp